# ApplicationFramework
TKCDF
CDM

# CDM_Reference Class Reference

`#include <CDM_Reference.hxx>`

## Public Member Functions

Standard_EXPORT Handle_CDM_Document | FromDocument ()
Standard_EXPORT Handle_CDM_Document | ToDocument ()
Standard_EXPORT Standard_Integer | ReferenceIdentifier ()
Standard_EXPORT Standard_Integer | DocumentVersion () const
Standard_EXPORT Standard_Boolean | IsReadOnly () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT | CDM_Reference (const Handle(CDM_Document)&aFromDocument, const Handle(CDM_Document)&aToDocument, const Standard_Integer aReferenceIdentifier, const Standard_Integer aToDocumentVersion)
Standard_EXPORT | CDM_Reference (const Handle(CDM_Document)&aFromDocument, const Handle(CDM_MetaData)&aMetaData, const Standard_Integer aReferenceIdentifier, const Handle(CDM_Application)&anApplication, const Standard_Integer aToDocumentVersion, const Standard_Boolean UseStorageConfiguration)
Standard_EXPORT void | Update (const Handle(CDM_MetaData)&aMetaData)
Standard_EXPORT Standard_Boolean | IsUpToDate () const
| compares the actual document version with the document version at the creation of the reference
Standard_EXPORT void | SetIsUpToDate ()
Standard_EXPORT void | UnsetToDocument (const Handle(CDM_MetaData)&aMetaData, const Handle(CDM_Application)&anApplication)
Standard_EXPORT Standard_Boolean | IsOpened () const
| returns true if the ToDocument has been retrieved and opened.
Standard_EXPORT Handle_CDM_Document | Document () const
Standard_EXPORT Handle_CDM_MetaData | MetaData () const
Standard_EXPORT Handle_CDM_Application | Application () const
Standard_EXPORT Standard_Boolean | UseStorageConfiguration () const
Standard_EXPORT Standard_Boolean | IsInSession () const
Standard_EXPORT Standard_Boolean | IsStored () const

## Private Attributes

Handle_CDM_Document | myToDocument
CDM_DocumentPointer | myFromDocument
Standard_Integer | myReferenceIdentifier
Handle_CDM_Application | myApplication
Handle_CDM_MetaData | myMetaData
Standard_Integer | myDocumentVersion
Standard_Boolean | myUseStorageConfiguration

## Constructor & Destructor Documentation

Standard_EXPORT CDM_Reference::CDM_Reference | ( | const Handle(CDM_Document)& | aFromDocument,
|  | const Handle(CDM_Document)& | aToDocument,
|  | const Standard_Integer | aReferenceIdentifier,
|  | const Standard_Integer | aToDocumentVersion
| ) | `[private]`

Standard_EXPORT CDM_Reference::CDM_Reference | ( | const Handle(CDM_Document)& | aFromDocument,
|  | const Handle(CDM_MetaData)& | aMetaData,
|  | const Standard_Integer | aReferenceIdentifier,
|  | const Handle(CDM_Application)& | anApplication,
|  | const Standard_Integer | aToDocumentVersion,
|  | const Standard_Boolean | UseStorageConfiguration
| ) | `[private]`

## Member Function Documentation

Standard_EXPORT Handle_CDM_Application CDM_Reference::Application | ( |  | ) | const`[private]`

Standard_EXPORT Handle_CDM_Document CDM_Reference::Document | ( |  | ) | const`[private]`

Standard_EXPORT Standard_Integer CDM_Reference::DocumentVersion | ( |  | ) | const

Standard_EXPORT Handle_CDM_Document CDM_Reference::FromDocument | ( |  | ) |

Standard_EXPORT const CDM_Reference::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean CDM_Reference::IsInSession | ( |  | ) | const`[private]`

Standard_EXPORT Standard_Boolean CDM_Reference::IsOpened | ( |  | ) | const`[private]`

Standard_EXPORT Standard_Boolean CDM_Reference::IsReadOnly | ( |  | ) | const

Standard_EXPORT Standard_Boolean CDM_Reference::IsStored | ( |  | ) | const`[private]`

Standard_EXPORT Standard_Boolean CDM_Reference::IsUpToDate | ( |  | ) | const`[private]`

Standard_EXPORT Handle_CDM_MetaData CDM_Reference::MetaData | ( |  | ) | const`[private]`

Standard_EXPORT Standard_Integer CDM_Reference::ReferenceIdentifier | ( |  | ) |

Standard_EXPORT void CDM_Reference::SetIsUpToDate | ( |  | ) | `[private]`

Standard_EXPORT Handle_CDM_Document CDM_Reference::ToDocument | ( |  | ) |

Standard_EXPORT void CDM_Reference::UnsetToDocument | ( | const Handle(CDM_MetaData)& | aMetaData,
|  | const Handle(CDM_Application)& | anApplication
| ) | `[private]`

Standard_EXPORT void CDM_Reference::Update | ( | const Handle(CDM_MetaData)& | aMetaData | ) | `[private]`

Standard_EXPORT Standard_Boolean CDM_Reference::UseStorageConfiguration | ( |  | ) | const`[private]`

## Field Documentation

Handle_CDM_Application CDM_Reference::myApplication `[private]`

Standard_Integer CDM_Reference::myDocumentVersion `[private]`

CDM_DocumentPointer CDM_Reference::myFromDocument `[private]`

Handle_CDM_MetaData CDM_Reference::myMetaData `[private]`

Standard_Integer CDM_Reference::myReferenceIdentifier `[private]`

Handle_CDM_Document CDM_Reference::myToDocument `[private]`

Standard_Boolean CDM_Reference::myUseStorageConfiguration `[private]`

The documentation for this class was generated from the following file:

- CDM_Reference.hxx